---
title: count
slug: Web/XPath/Functions/count
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>count</code> function counts the number of nodes in a node-set and returns an integer.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">count(<em>node-set</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>node-set</em></code></dt>
 <dd>The node set to be counted.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>An integer representing the number of nodes in a node-set.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-count">XPath 1.0 4.1</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
